<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Settings/test/Settings/MockDeviceSettingStorage.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8ae0dd75af039a94f4269584fb8eef13.html">Settings</a></li><li class="navelem"><a class="el" href="dir_99d77744d65312941b5eb82009999c89.html">test</a></li><li class="navelem"><a class="el" href="dir_d0a625497781291379b4be77639d7bd3.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockDeviceSettingStorage.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_device_setting_storage_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_SETTINGS_TEST_SETTINGS_MOCKDEVICESETTINGSTORAGE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_SETTINGS_TEST_SETTINGS_MOCKDEVICESETTINGSTORAGE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_device_setting_storage_interface_8h.html">Settings/Storage/DeviceSettingStorageInterface.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>settings {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>storage {</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1settings_1_1storage_1_1test.html">   26</a></span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html">MockDeviceSettingStorage</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">DeviceSettingStorageInterface</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a350946ef6ca1f9a9ecdf2122eeb50d5b">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#adf2969e60fa7ca4c79ee04e6d74a4887">open</a>, <span class="keywordtype">bool</span>());</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a350946ef6ca1f9a9ecdf2122eeb50d5b">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">close</a>, <span class="keywordtype">void</span>());</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a690ce02a1e9246eeb69984cf9f0f345a">MOCK_METHOD3</a>(<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a776c5d59d7ee41ff1e7a4af2dee57e70">storeSetting</a>, <span class="keywordtype">bool</span>(<span class="keyword">const</span> std::string&amp; key, <span class="keyword">const</span> std::string&amp; value, <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status));</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#ad8f958b3764a1af2d66a68110d89e0d9">MOCK_METHOD1</a>(<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a8acefcc2b5eee9733f4b17d8037570fa">loadSetting</a>, <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a>(<span class="keyword">const</span> std::string&amp; key));</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#ad8f958b3764a1af2d66a68110d89e0d9">MOCK_METHOD1</a>(<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#aa3d3aab08b859a1370ff9f3c16af1d8e">deleteSetting</a>, <span class="keywordtype">bool</span>(<span class="keyword">const</span> std::string&amp; key));</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a375233f4e374d75ee9e62d1b39692c14">MOCK_METHOD2</a>(<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#ac6149719d9b499ee217629b2184c3bae">updateSettingStatus</a>, <span class="keywordtype">bool</span>(<span class="keyword">const</span> std::string&amp; key, <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status));</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;};</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}  <span class="comment">// namespace storage</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;}  <span class="comment">// namespace settings</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_SETTINGS_TEST_SETTINGS_MOCKDEVICESETTINGSTORAGE_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_html_a690ce02a1e9246eeb69984cf9f0f345a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a690ce02a1e9246eeb69984cf9f0f345a">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD3</a></div><div class="ttdeci">MOCK_METHOD3(storeSetting, bool(const std::string &amp;key, const std::string &amp;value, SettingStatus status))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html_a8acefcc2b5eee9733f4b17d8037570fa"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a8acefcc2b5eee9733f4b17d8037570fa">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::loadSetting</a></div><div class="ttdeci">virtual SettingStatusAndValue loadSetting(const std::string &amp;key)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html_a776c5d59d7ee41ff1e7a4af2dee57e70"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a776c5d59d7ee41ff1e7a4af2dee57e70">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::storeSetting</a></div><div class="ttdeci">virtual bool storeSetting(const std::string &amp;key, const std::string &amp;value, SettingStatus status)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a></div><div class="ttdef"><b>Definition:</b> DeviceSettingStorageInterface.h:34</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html_a36dc43291bb074e717870985d89b0a0a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::SettingStatusAndValue</a></div><div class="ttdeci">std::pair&lt; SettingStatus, std::string &gt; SettingStatusAndValue</div><div class="ttdef"><b>Definition:</b> DeviceSettingStorageInterface.h:41</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a4a578c80906f233911b5c7e07bf1d4d4"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">alexaClientSDK::settings::SettingStatus</a></div><div class="ttdeci">SettingStatus</div><div class="ttdef"><b>Definition:</b> SettingStatus.h:25</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage</a></div><div class="ttdef"><b>Definition:</b> MockDeviceSettingStorage.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html_aa3d3aab08b859a1370ff9f3c16af1d8e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#aa3d3aab08b859a1370ff9f3c16af1d8e">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::deleteSetting</a></div><div class="ttdeci">virtual bool deleteSetting(const std::string &amp;key)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html_a1de8f87cc1ac1ef79505b1e6ad0fcfc8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::close</a></div><div class="ttdeci">virtual void close()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_html_ad8f958b3764a1af2d66a68110d89e0d9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#ad8f958b3764a1af2d66a68110d89e0d9">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD1</a></div><div class="ttdeci">MOCK_METHOD1(loadSetting, SettingStatusAndValue(const std::string &amp;key))</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_device_setting_storage_interface_8h_html"><div class="ttname"><a href="_device_setting_storage_interface_8h.html">DeviceSettingStorageInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html_adf2969e60fa7ca4c79ee04e6d74a4887"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#adf2969e60fa7ca4c79ee04e6d74a4887">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::open</a></div><div class="ttdeci">virtual bool open()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_html_a375233f4e374d75ee9e62d1b39692c14"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a375233f4e374d75ee9e62d1b39692c14">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD2</a></div><div class="ttdeci">MOCK_METHOD2(updateSettingStatus, bool(const std::string &amp;key, SettingStatus status))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_html_ac6149719d9b499ee217629b2184c3bae"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#ac6149719d9b499ee217629b2184c3bae">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::updateSettingStatus</a></div><div class="ttdeci">virtual bool updateSettingStatus(const std::string &amp;key, SettingStatus status)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_html_a350946ef6ca1f9a9ecdf2122eeb50d5b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a350946ef6ca1f9a9ecdf2122eeb50d5b">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD0</a></div><div class="ttdeci">MOCK_METHOD0(open, bool())</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
